Download it now!
Bug 130989 - Chapter Numbering can't load custom style ( gen )
Summary: Chapter Numbering can't load custom style ( gen )
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1 all versions
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0 target:6.4.2 target:6.3.6
Keywords: bibisected, bisected, regression
Depends on: 130908
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-27 16:44 UTC by Xisco Faulí
Modified: 2020-03-04 12:10 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-02-27 16:44:56 UTC
+++ This bug was initially created as a clone of Bug #130908 +++

Hello,
There is a problem with the loading of style for chapter numbering in Writer.

The problem still exists on 6.4.1.2 version.

I did a first bisection:

5.4.7.2 -> OK
6.0.7.3 -> OK
6.1.0.0.alpha1 -> KO
6.1.6.3 -> KO
6.4.1.2 -> KO


How to reproduce it:

1. Open Writer and Tools > Chapter Numbering > Load/Save > Save As
2. Write "My TEST" and save
3. If you Click again on Load/Save, you see your "My Test" entry

> Restart Writer and go to the load button, your "My Test" entry is not here anymore.

Thanks,
Jean-Sébastien
Comment 1 Xisco Faulí 2020-02-27 16:48:35 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=0920b04bca3d58d89b026bcf999ea43d0e855715

author	Caolán McNamara <caolanm@redhat.com>	2018-05-04 14:53:11 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-05-04 22:12:46 +0200
commit	0920b04bca3d58d89b026bcf999ea43d0e855715 (patch)
tree	e819560b7822cda8cd76a0494a4ec6135f3585a9
parent	2cab4acbe2aaaee6e5b9afeb68f3e555ecff2ec7 (diff)
weld SwOutlineTabDialog

Bisected with: bibisect-linux64-6.1 

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2020-02-28 10:41:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/278de7812d88a9f76e2b0ff57c3f4cb1097d4b2f

tdf#130989 we want to fill the menu when the menubutton is toggled on

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2020-02-28 10:44:20 UTC
fixed in master, backport to 6-4 and 6-3 in gerrit
Comment 4 Commit Notification 2020-02-28 11:04:19 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/a9df22cb603b85f469f1f6dfc492362a08505beb

tdf#130989 we want to fill the menu when the menubutton is toggled on

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-02-28 16:56:19 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/b93ecc2179c1fe0cab9f504f621d676594d10bd6

tdf#130989 we want to fill the menu when the menubutton is toggled on

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-03-04 12:10:10 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: c57d6d39c80844c9d4c6bfed85cc151e52a67b34
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!